<?xml version="1.0" encoding="utf-8"?>
<!--================================================================================-->
<!--

	Plik wizualizacji Edytora Aktów Prawnych XML
	(C)2002-2009 Administration & Business Consulting
	Wszelkie prawa zastrzeżone.
	http://abc-grytner.pl
	
	Autor: Krzysztof Radzimski
	http://radzimski.pl

	Elektroniczna postać aktu prawnego.
	Zgodnie ze strukturą zdefiniowaną
	w schemacie dostępnym pod adresem: http://epuap.gov.pl/wps/portal/epuap/pi
-->
<!--================================================================================-->
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:msxsl="urn:schemas-microsoft-com:xslt"
				exclude-result-prefixes="msxsl"
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
>
	<xsl:output method="xml"
				indent="yes"
				doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
				doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

	<xsl:variable name="AttachmentTitle" >
		<xsl:for-each select="/">
			<xsl:for-each select="*">
				<xsl:for-each select="metryczka">

					<xsl:choose>
						<xsl:when test="@nazwa = 'ustawa'">
							<xsl:value-of select="'Ustawy'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'rozporzadzenie'">
							<xsl:value-of select="'Rozporządzenia'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'uchwala'">
							<xsl:value-of select="'Uchwały'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'zarzadzenie'">
							<xsl:value-of select="'Zarządzenia'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'informacja'">
							<xsl:value-of select="'Informacji'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'komunikat'">
							<xsl:value-of select="'Komunikatu'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'decyzja'">
							<xsl:value-of select="'Decyzji'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'oswiadczenie'">
							<xsl:value-of select="'Oświadczenia'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'postanowienie'">
							<xsl:value-of select="'Postanowienia'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'wyrok'">
							<xsl:value-of select="'Wyroku'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'porozumienie'">
							<xsl:value-of select="'Porozumienia'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'ogloszenie'">
							<xsl:value-of select="'Ogłoszenia'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'obwieszczenie'">
							<xsl:value-of select="'Obwieszczenia'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'aneks'">
							<xsl:value-of select="'Aneksu'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'statut'">
							<xsl:value-of select="'Statutu'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'sprawozdanie'">
							<xsl:value-of select="'Sprawozdania'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'protokol'">
							<xsl:value-of select="'Protokółu'"/>
						</xsl:when>
						<xsl:when test="@nazwa = 'umowa'">
							<xsl:value-of select="'Umowy'"/>
						</xsl:when>
					</xsl:choose>
					<xsl:if test="@numer != ''">
						<xsl:value-of select="' Nr '"/>
						<xsl:value-of select="@numer"/>
					</xsl:if>


					<xsl:if test="@organ-wydajacy != '' and @nazwa != 'umowa'">
						<br/>
						<xsl:value-of select="@organ-wydajacy"/>
					</xsl:if>

					<xsl:if test="@data != '1-01-01T00:00:00Z'">
						<br/>
						<xsl:value-of select="'z dnia '"/>
						<xsl:call-template name="date-name">
							<xsl:with-param name="ADate" select="@data"/>
						</xsl:call-template>
					</xsl:if>

				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:variable>

	<xsl:template match="/">

		<html xmlns="http://www.w3.org/1999/xhtml">
			<head>
				<title>
					<xsl:for-each select="*">
						<xsl:for-each select="metryczka">
							<xsl:value-of select="'Uchwała'"/>
							<xsl:value-of select="' Nr. '"/>
							<xsl:value-of select="@numer"/>
						</xsl:for-each>
					</xsl:for-each>
				</title>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<meta name="generator" content="Edytor Aktów Prawnych XML (C)2002-2009 Administration And Business Consulting" />
				<style type="text/css">
					a { text-decoration:none; color:blue;}
					a:hover { text-decoration:underline; color:blue;}
					a:visited { text-decoration:none; color:blue;}
					body {
					background-color: white;
					font-size: $BODY_FONT_SIZE$;
					font-family: $BODY_FONT_FAMILY$;
					border: 0px;
					margin-top: 20px;
					margin-left: 0px;
					margin-right: 0px;
					margin-bottom: 20px;
					padding: 0px;
					width: 100%;
					text-align: $BODY_TEXT_ALIGN$;
					}
					.MainPanel
					{
					margin: auto;
					width: 28cm;
					z-index: 0;
					min-height: 29.7cm;
					border-right: solid 1px gray;
					border-bottom: solid 1px gray;
					}
					.MainPanel2
					{
					border: solid 1px black;
					padding-top: 1.5cm;
					padding-left: 1.5cm;
					padding-right: 1.5cm;
					padding-bottom: 1.5cm;
					width: 24.98cm;
					min-height: 24.7cm;
					margin: auto;
					}

					.preambula{text-indent: 3%; text-align: justify; margin-bottom: 20px;}
					.uzasadnienie{margin-bottom: 10px; margin-top: 10px; page-break-before: always; }
					.ksiega{margin-top: 25px; margin-bottom: 10px;}
					.czesc{margin-top: 25px; margin-bottom: 10px;}
					.tyt{margin-top: 25px; margin-bottom: 10px;}
					.oddzial{margin-bottom: 10px;}
					.dzial{margin-top: 25px; margin-bottom: 10px;}
					.srodtytul{text-align: center; font-weight: bold; margin-bottom: 10px; margin-top: 10px; }
					.rozdzial{margin-top: 25px; margin-bottom: 10px; }
					.artykul{text-indent: 3%; margin-bottom: 20px; }
					.paragraf{text-indent: 3%; margin-bottom: 20px; }
					.ustep{text-indent: 3%; }
					.punkt{margin-bottom: 5px;}
					.litera{margin-bottom: 5px;}
					.tiret{margin-bottom: 5px;}
					.akapit{ margin-bottom: 5px;}
					.zalacznik_bin{width: 100%; margin-bottom: 20px; margin-top: 30px; page-break-before: always;}
					.zalacznik{width: 100%; margin-bottom: 30px; margin-top: 30px; page-break-before: always;}
					.tabela
					{
					margin-top: 10px;
					font-weight: normal;
					font-size: 12pt;
					border: 1px solid black;
					border-collapse: collapse;
					}
					.wiersz
					{
					}
					.komorka
					{
					border: 1px solid black;
					border-collapse: collapse;
					vertical-align: top;
					padding: 2px;
					}
				</style>
			</head>
			<body>
				<div class="MainPanel">
					<div class="MainPanel2">
						<!--Identyfikator aktu-->
						<!--<xsl:for-each select="*">
							<div style="font-weight: bold; font-size: 10pt; height: 50px;">
								<xsl:value-of select="'ID: '"/>
								<xsl:value-of select="@id"/>
							</div>
						</xsl:for-each>-->
						<!-- Nagłówek aktu -->
						<div style="font-weight:bold; text-align: center; line-height: 25px;">
							<xsl:for-each select="*">
								<xsl:for-each select="metryczka">
									<xsl:choose>
										<xsl:when test="@nazwa = 'ustawa'">
											<xsl:value-of select="'Ustawa'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'rozporzadzenie'">
											<xsl:value-of select="'Rozporządzenie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'uchwala'">
											<xsl:value-of select="'Uchwała'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'zarzadzenie'">
											<xsl:value-of select="'Zarządzenie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'informacja'">
											<xsl:value-of select="'Informacja'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'komunikat'">
											<xsl:value-of select="'Komunikat'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'decyzja'">
											<xsl:value-of select="'Decyzja'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'oswiadczenie'">
											<xsl:value-of select="'Oświadczenie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'postanowienie'">
											<xsl:value-of select="'Postanowienie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'wyrok'">
											<xsl:value-of select="'Wyrok'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'porozumienie'">
											<xsl:value-of select="'Porozumienie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'ogloszenie'">
											<xsl:value-of select="'Ogłoszenie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'obwieszczenie'">
											<xsl:value-of select="'Obwieszczenie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'aneks'">
											<xsl:value-of select="'Aneks'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'statut'">
											<xsl:value-of select="'Statut'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'sprawozdanie'">
											<xsl:value-of select="'Sprawozdanie'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'protokol'">
											<xsl:value-of select="'Protokół'"/>
										</xsl:when>
										<xsl:when test="@nazwa = 'umowa'">
											<xsl:value-of select="'Umowa'"/>
										</xsl:when>
									</xsl:choose>
									<xsl:if test="@numer != ''">
										<xsl:value-of select="' Nr '"/>
										<xsl:value-of select="@numer"/>
									</xsl:if>
									<br />

									<xsl:if test="@organ-wydajacy != '' and @nazwa != 'umowa'">
										<xsl:value-of select="@organ-wydajacy"/>
										<br />
									</xsl:if>

									<xsl:if test="@data != '1-01-01T00:00:00Z'">
										<span style="font-weight:normal;">
											<xsl:value-of select="'z dnia '"/>
											<xsl:call-template name="date-name">
												<xsl:with-param name="ADate" select="@data"/>
											</xsl:call-template>
										</span>
										<br />
										<br />
									</xsl:if>
									<xsl:for-each select="tytul">
										<div style="font-weight:bold;">
											<!--<xsl:value-of select="."/>-->
											<xsl:apply-templates/>
										</div>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
						</div>
						<br />
						<!-- akt -->
						<xsl:for-each select="*">
							<xsl:apply-templates/>
						</xsl:for-each>

						<!--podpisy-->
						<xsl:for-each select="*">
							<xsl:for-each select="podpisy">
								<xsl:for-each select="podpis">
									<div style="width: 100%; margin-bottom: 30px; margin-top: 80px;">
										<div style="text-align: center; width: 30%; float: right; border-top: dotted 2px black;">
											<xsl:attribute name="id">
												<xsl:value-of select="@oid"/>
											</xsl:attribute>

											<xsl:if test="@z-upowaznienia != ''">
												<xsl:value-of select="'Z upoważnienia'"/>
												<xsl:value-of select="' '"/>
												<xsl:value-of select="@z-upowanienia"/>
												<br/>
											</xsl:if>
											<xsl:if test="@funkcja != ''">
												<xsl:value-of select="@funkcja"/>
												<br/>
											</xsl:if>
											<xsl:if test="@tytul != ''">
												<xsl:value-of select="@tytul"/>
												<xsl:value-of select="' '"/>
											</xsl:if>
											<xsl:value-of select="@imie"/>
											<xsl:value-of select="' '"/>
											<xsl:value-of select="@nazwisko"/>
										</div>
									</div>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>

						<!--zalacznik_bin-->
						<xsl:for-each select="*">
							<xsl:for-each select="zalacznik_bin">
								<xsl:call-template name="zalacznik_bin"/>
							</xsl:for-each>
						</xsl:for-each>

						<!--Zalaczniki XML-->
						<xsl:for-each select="*">
							<xsl:for-each select="zalaczniki">
								<xsl:for-each select="*">
									<xsl:choose>
										<xsl:when test="contains(name(),'zalacznik_bin')">
											<xsl:call-template name="zalacznik_bin"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:call-template name="zalacznik"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>

						<!-- Uzasadnienie -->
						<xsl:for-each select="*">
							<xsl:for-each select="uzasadnienie">
								<xsl:call-template name="uzasadnienie"/>
							</xsl:for-each>
						</xsl:for-each>

						<!--Treść przypisów-->
						<xsl:for-each select="*">
							<xsl:for-each select="tresc-przypisow">
								<div style="width: 100%; margin-top: 30px;">
									<xsl:attribute name="id">
										<xsl:value-of select="@oid"/>
									</xsl:attribute>
									<div style="border-top: solid 1px black; width: 30%;">
										<xsl:value-of select="' '"/>
									</div>
									<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<xsl:for-each select="tresc-przypisu">
											<tr>
												<td style="width: 5%; vertical-align: top;">
													<xsl:attribute name="id">
														<xsl:value-of select="@oid"/>
													</xsl:attribute>
													<a style="color: black; text-decoration: none;">
														<xsl:attribute name="name">
															<xsl:value-of select="'przypis'"/>
															<xsl:value-of select="@nr"/>
														</xsl:attribute>

														<sup>
															<xsl:value-of select="@nr"/>
															<xsl:value-of select="')'"/>
														</sup>
													</a>
												</td>
												<td style="width: 95%; vertical-align: top;">
													<xsl:apply-templates/>
												</td>
											</tr>
										</xsl:for-each>

									</table>
								</div>
							</xsl:for-each>
						</xsl:for-each>
					</div>
				</div>
			</body>
		</html>
	</xsl:template>

	<!--preambula-->
	<xsl:template match="preambula">
		<div class="preambula">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--ksiega-->
	<xsl:template match="ksiega">
		<div class="ksiega">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; font-variant: small-caps; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'Księga'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="contains(number(@nr),'NaN')">
						<xsl:value-of select="@nr"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:choose>
							<xsl:when test="@nr = 1">
								Pierwsza
							</xsl:when>
							<xsl:when test="@nr = 2">
								Druga
							</xsl:when>
							<xsl:when test="@nr = 3">
								Trzecia
							</xsl:when>
							<xsl:when test="@nr = 4">
								Czwarta
							</xsl:when>
							<xsl:when test="@nr = 5">
								Piąta
							</xsl:when>
							<xsl:when test="@nr = 6">
								Szósta
							</xsl:when>
							<xsl:when test="@nr = 7">
								Siódma
							</xsl:when>
							<xsl:when test="@nr = 8">
								Ósma
							</xsl:when>
							<xsl:when test="@nr = 9">
								Dziewiąta
							</xsl:when>
							<xsl:otherwise>
								<xsl:number value="@nr" format="I"/>
							</xsl:otherwise>
						</xsl:choose>

					</xsl:otherwise>
				</xsl:choose>

				<xsl:for-each select="tytul">
					<br/>
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--czesc-->
	<xsl:template match="czesc">
		<div class="czesc">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; font-variant: small-caps; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'Część'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="contains(number(@nr),'NaN')">
						<xsl:value-of select="@nr"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:number value="@nr" format="I"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="'. '"/>
				<xsl:for-each select="tytul">
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--uzasadnienie-->
	<xsl:template name="uzasadnienie">
		<div class="uzasadnienie">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; font-variant: small-caps; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'UZASADNIENIE'"/>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--zalacznik_bin-->
	<xsl:template name="zalacznik_bin">
		<xsl:variable name="attachments-count" select="count(//zalaczniki/*)"/>
		
		<div class="zalacznik_bin">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="width: 100%;">
				<div style="text-align: left; width: $ATTACHMENT_WIDTH$%; float: right;">
					<xsl:choose>
						<xsl:when test="$attachments-count > 1">
							<b>
								<xsl:value-of select="'Załącznik nr'"/>
								<xsl:value-of select="' '"/>
								<xsl:number value="@nr"/>
							</b>
							<br/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Załącznik'"/>
						</xsl:otherwise>
					</xsl:choose>
					
					<xsl:value-of select="' do '"/>
					<xsl:copy-of select="$AttachmentTitle"/>
					<xsl:if test="tytul != ''">
						<br/>
						<br/>
						<i>
							<xsl:for-each select="tytul">
								<xsl:value-of select="."/>
							</xsl:for-each>
						</i>
					</xsl:if>
					<br/>
					<a target="_blank">
						<xsl:attribute name="href">
							<xsl:value-of select="@nazwa"/>
						</xsl:attribute>
						<xsl:value-of select="@nazwa"/>
					</a>
				</div>
			</div>
		</div>
	</xsl:template>

	<!--zalacznik-->
	<xsl:template name="zalacznik">
		<xsl:variable name="attachments-count" select="count(//zalaczniki/*)"/>

		<div class="zalacznik">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="width: 100%; margin-bottom: 20px;">
				<div style="text-align: left; width: $ATTACHMENT_WIDTH$%; float: right;">
					<xsl:choose>
						<xsl:when test="$attachments-count > 1">
							<b>
								<xsl:value-of select="'Załącznik nr'"/>
								<xsl:value-of select="' '"/>
								<xsl:number value="@nr"/>
							</b>
							<br/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Załącznik'"/>
						</xsl:otherwise>
					</xsl:choose>

					<xsl:value-of select="' do '"/>
					<xsl:copy-of select="$AttachmentTitle"/>
				</div>
			</div>
			<xsl:for-each select="tytul">
				<div style="text-align: center; font-weight: bold; margin-bottom: 15px; font-variant: small-caps;">
					<xsl:apply-templates/>
				</div>
			</xsl:for-each>

			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--tyt-->
	<xsl:template match="tyt">
		<div class="tyt">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; font-variant: small-caps; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'Tytuł'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="contains(number(@nr),'NaN')">
						<xsl:value-of select="@nr"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:number value="@nr" format="I"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="'. '"/>
				<xsl:for-each select="tytul">
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--dzial-->
	<xsl:template match="dzial">
		<div class="dzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; font-variant: small-caps; margin-bottom: 10px;">
				<xsl:value-of select="'Dział'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="contains(number(@nr),'NaN')">
						<xsl:value-of select="@nr"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:number value="@nr" format="I"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="'. '"/>
				<xsl:for-each select="tytul">
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--oddzial-->
	<xsl:template match="oddzial">
		<div class="oddzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; margin-bottom: 10px;">
				<xsl:value-of select="'Oddział'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="contains(number(@nr),'NaN')">
						<xsl:value-of select="@nr"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:number value="@nr"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:for-each select="tytul">
					<br/>
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--srodtytul-->
	<xsl:template match="srodtytul">
		<div class="srodtytul">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--rozdzial-->
	<xsl:template match="rozdzial">
		<div class="rozdzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; letter-spacing: 5px; margin-bottom: 5px;">
				<xsl:value-of select="'Rozdział'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="contains(number(@nr),'NaN')">
						<xsl:value-of select="@nr"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:number value="@nr" format="I"/>
					</xsl:otherwise>
				</xsl:choose>
			</div>
			<xsl:for-each select="tytul">
				<div style="text-align: center; font-weight: bold; margin-bottom: 10px;">
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</div>
			</xsl:for-each>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!-- artykul -->
	<xsl:template match="artykul">
		<div class="artykul">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<b>
				<xsl:value-of select="'Art.'"/>
				<xsl:value-of select="' '"/>
				<xsl:value-of select="@nr"/>
				<xsl:value-of select="'. '"/>
			</b>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!-- paragraf -->
	<xsl:template match="paragraf">
		<div class="paragraf">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<span style="text-align: left; font-weight: bold;">
				<xsl:value-of select="'§'"/>
				<xsl:value-of select="' '"/>
				<xsl:value-of select="@nr"/>
				<xsl:value-of select="'. '"/>
			</span>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--ustep-->
	<xsl:template match="ustep">
		<xsl:if test="@nr = '1'">
			<span class="ustep">
				<xsl:attribute name="id">
					<xsl:value-of select="@oid"/>
				</xsl:attribute>
				<xsl:value-of select="@nr"/>
				<xsl:value-of select="'. '"/>
				<xsl:apply-templates/>
			</span>
		</xsl:if>
		<xsl:if test="@nr != '1'">
			<div class="ustep">
				<xsl:attribute name="id">
					<xsl:value-of select="@oid"/>
				</xsl:attribute>
				<xsl:value-of select="@nr"/>
				<xsl:value-of select="'. '"/>
				<xsl:apply-templates/>
			</div>
		</xsl:if>
	</xsl:template>

	<!-- punkt -->
	<xsl:template match="punkt">
		<div class="punkt">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<table cellpadding="" cellspacing="5" border="0">
				<tr>
					<td style="vertical-align: top;">
						<xsl:value-of select="@nr"/>
						<xsl:value-of select="') '"/>
					</td>
					<td style="vertical-align: top;">
						<xsl:apply-templates/>
					</td>
				</tr>
			</table>
		</div>
	</xsl:template>

	<!-- litera -->
	<xsl:template match="litera">
		<div class="litera">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<table cellpadding="" cellspacing="5" border="0">
				<tr>
					<td style="vertical-align: top;">
						<xsl:value-of select="@nr"/>
						<xsl:value-of select="') '"/>
					</td>
					<td style="vertical-align: top;">
						<xsl:apply-templates/>
					</td>
				</tr>
			</table>
		</div>
	</xsl:template>

	<!-- tiret -->
	<xsl:template match="tiret">
		<div class="tiret">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<table cellpadding="" cellspacing="5" border="0">
				<tr>
					<td style="vertical-align: top;">
						<xsl:value-of select="'-'"/>
						<xsl:value-of select="' '"/>
					</td>
					<td style="vertical-align: top;">
						<xsl:apply-templates/>
					</td>
				</tr>
			</table>
		</div>
	</xsl:template>

	<!--akapit-->
	<xsl:template match="akapit">
		<div class="akapit">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--F O R M A T O W A N I E-->
	<!--Wytłuszczenie-->
	<xsl:template match="wytluszczenie">
		<b>
			<xsl:apply-templates/>
		</b>
	</xsl:template>
	<!--Podkreslenie-->
	<xsl:template match="podkreslenie">
		<u>
			<xsl:apply-templates/>
		</u>
	</xsl:template>
	<!--Kursywa-->
	<xsl:template match="kursywa">
		<i>
			<xsl:apply-templates/>
		</i>
	</xsl:template>
	<!--indeks dolny-->
	<xsl:template match="indeks-dolny">
		<sub>
			<xsl:apply-templates/>
		</sub>
	</xsl:template>
	<!--indeks gorny-->
	<xsl:template match="indeks-gorny">
		<sup>
			<xsl:apply-templates/>
		</sup>
	</xsl:template>
	<!--Link-->
	<xsl:template match="link">
		<xsl:choose>
			<xsl:when test="@typ = 'zalacznik'">
				<div style="width: 100%; margin-top: 10px; margin-bottom: 10px; text-align: center;">
					<img style="border: 0px;" alt="">
						<xsl:attribute name="src">
							<xsl:value-of select="@cel"/>
						</xsl:attribute>
					</img>
				</div>
			</xsl:when>
			<xsl:otherwise >
				<a target="_blank">
					<xsl:attribute name="href">
						<xsl:value-of select="@cel"/>
					</xsl:attribute>
					<xsl:apply-templates/>
				</a>
			</xsl:otherwise>
		</xsl:choose>


	</xsl:template>

	<!--T A B E L A-->
	<xsl:template match="tabela">
		<table class="tabela">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>

			<xsl:attribute name="cellpadding">
				<xsl:value-of select="@odleglosc-akapitu"/>
			</xsl:attribute>
			<xsl:attribute name="cellspacing">
				<xsl:value-of select="@szerokosc-krawedzi"/>
			</xsl:attribute>
			<xsl:attribute name="width">
				<xsl:value-of select="@szerokosc"/>
				<xsl:value-of select="'%'"/>
			</xsl:attribute>
			<xsl:for-each select="wiersz">
				<tr class="wiersz">
					<xsl:for-each select="komorka">
						<td class="komorka">
							<xsl:if test="@scal-poziomo != ''">
								<xsl:attribute name="colspan">
									<xsl:value-of select="@scal-poziomo"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@scal-pionowo != ''">
								<xsl:attribute name="rowspan">
									<xsl:value-of select="@scal-pionowo"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@wyrownanie != ''">
								<xsl:attribute name="align">
									<xsl:choose>
										<xsl:when test="@wyrownanie = 'do-lewej'">
											<xsl:value-of select="'left'"/>
										</xsl:when>
										<xsl:when test="@wyrownanie = 'do-prawej'">
											<xsl:value-of select="'right'"/>
										</xsl:when>
										<xsl:when test="@wyrownanie = 'wysrodkowanie'">
											<xsl:value-of select="'center'"/>
										</xsl:when>
										<xsl:when test="@wyrownanie = 'wyjustowanie'">
											<xsl:value-of select="'justify'"/>
										</xsl:when>
									</xsl:choose>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@szerokosc != ''">
								<xsl:attribute name="width">
									<xsl:value-of select="@szerokosc"/>
									<xsl:value-of select="'%'"/>
								</xsl:attribute>
							</xsl:if>

							<xsl:apply-templates/>
						</td>
					</xsl:for-each>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<!--Przypisy-->
	<xsl:template match="przypis">
		<sup>
			<a style="color: black; text-decoration: none; font-weight: normal;">
				<xsl:attribute name="href">
					<xsl:value-of select="'#przypis'"/>
					<xsl:value-of select="@nr"/>
				</xsl:attribute>
				<xsl:apply-templates/>
			</a>
		</sup>
	</xsl:template>


	<!-- te które są implementowane wyjątkowow inaczej -->
	<xsl:template match="tresc-przypisow"/>
	<xsl:template match="metryczka"/>
	<xsl:template match="podpisy"/>
	<xsl:template match="zalaczniki"/>
	<xsl:template match="zalacznik_bin"/>
	<xsl:template match="tytul"/>
	<xsl:template match="podpis"/>
	<xsl:template match="zatwierdzil"/>
	<xsl:template match="ds:Signature"/>
	<xsl:template match="uzasadnienie"/>
	<!-- // te które są implementowane wyjątkowow inaczej -->

	<xsl:template name="date-name">
		<xsl:param name="ADate"/>
		<xsl:choose>
			<xsl:when test="substring($ADate,9,1)='0'">
				<xsl:value-of select="substring($ADate,10,1)"/>
			</xsl:when>
			<xsl:when test="substring($ADate,9,1)!='0'">
				<xsl:value-of select="substring($ADate,9,2)"/>
			</xsl:when>
		</xsl:choose>

		<xsl:choose>
			<xsl:when test="substring($ADate,6,2)='01'">
				<xsl:value-of select="' stycznia '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='02'">
				<xsl:value-of select="' lutego '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='03'">
				<xsl:value-of select="' marca '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='04'">
				<xsl:value-of select="' kwietnia '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='05'">
				<xsl:value-of select="' maja '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='06'">
				<xsl:value-of select="' czerwca '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='07'">
				<xsl:value-of select="' lipca '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='08'">
				<xsl:value-of select="' sierpnia '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='09'">
				<xsl:value-of select="' września '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='10'">
				<xsl:value-of select="' października '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='11'">
				<xsl:value-of select="' listopada '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='12'">
				<xsl:value-of select="' grudnia '"/>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="substring($ADate,1,4)"/>
		<xsl:value-of select="' r.'"/>
	</xsl:template>
	<xsl:template name="replace-string">
		<xsl:param name="text"/>
		<xsl:param name="replace"/>
		<xsl:param name="with"/>
		<xsl:choose>
			<xsl:when test="contains($text,$replace)">
				<xsl:value-of select="substring-before($text,$replace)"/>
				<xsl:value-of select="$with"/>
				<xsl:call-template name="replace-string">
					<xsl:with-param name="text" select="substring-after($text,$replace)"/>
					<xsl:with-param name="replace" select="$replace"/>
					<xsl:with-param name="with" select="$with"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="left-trim">
		<xsl:param name="s" />

		<xsl:choose>
			<xsl:when test="normalize-space(substring($s, 1, 1)) = ''">
				<xsl:call-template name="left-trim">
					<xsl:with-param name="s" select="substring($s, 2)" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$s" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="right-trim">
		<xsl:param name="s" />

		<xsl:choose>
			<xsl:when test="normalize-space(substring($s, string-length($s))) = ''">
				<xsl:call-template name="right-trim">
					<xsl:with-param name="s" select="substring($s, 1, string-length($s) - 1)" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$s" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="trim">
		<xsl:param name="text" />
		<xsl:variable name="s1">
			<xsl:call-template name="right-trim">
				<xsl:with-param name="s" select="$text" />
			</xsl:call-template>
		</xsl:variable>
		<xsl:call-template name="left-trim">
			<xsl:with-param name="s" select="$s1" />
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
